Can't start ideamaker on archlinux (new problem 2022/02)

Discussions about ideaMaker and other printing software.
SR-G
Posts: 9
Joined: Fri Nov 19, 2021 12:42 am

Can't start ideamaker on archlinux (new problem 2022/02)

Postby SR-G » Fri Nov 19, 2021 12:45 am

Hello,
I have an uptodate archlinux system.
I tried to launch ideamaker but i always have the exact same error :

Code: Select all

/usr/lib/x86_64-linux-gnu/ideamaker/ideamaker: error while loading shared libraries: liblber-2.4.so.2: cannot open shared object file: No such file or directory


Either :
- through the provided AppImage (downloaded on this site)
- through the archlinux community package (AUR)

To be noted : i DO have this library, but not in the expected version - and this is the latest version available for my system (again, everything is up-to-date at OS level) :

Code: Select all

core/libldap 2.6.0-2 [installed]
    usr/lib/liblber.so
    usr/lib/liblber.so.2
    usr/lib/liblber.so.2.0.200
multilib/lib32-libldap 2.6.0-1 [installed]
    usr/lib32/liblber.so
    usr/lib32/liblber.so.2
    usr/lib32/liblber.so.2.0.200


So right now i'm stuck ... any ideas ?
Last edited by SR-G on Sun Feb 20, 2022 3:30 pm, edited 1 time in total.

User avatar
Vicky@Raise3D
Posts: 8637
Joined: Fri Mar 25, 2016 3:54 am

Re: Can't start ideamaker on archlinux

Postby Vicky@Raise3D » Fri Nov 19, 2021 1:29 am

There's a recent upgrade of Linux OS having issue with compatibility with a lot software.
I will PM donwnloads of a new ideaMaker beta to give a try.

SR-G
Posts: 9
Joined: Fri Nov 19, 2021 12:42 am

Re: Can't start ideamaker on archlinux

Postby SR-G » Fri Nov 19, 2021 8:47 am

Thank for your answer.

"Nearly" the same problem, except ... the error is about another library now (so probably "one step further") :

./ideaMaker-4.2.1.5321.glibc2.15-x86_64-fix21.10.AppImage
ideamaker.real: error while loading shared libraries: libsasl2.so.2: cannot open shared object file: No such file or directory

And same : this library is also installed on my system ==>

pacman -Fx libsasl2
core/libsasl 2.1.27-3 [installed]
usr/lib/libsasl2.so
usr/lib/libsasl2.so.3
usr/lib/libsasl2.so.3.0.0
usr/lib/pkgconfig/libsasl2.pc

User avatar
Vicky@Raise3D
Posts: 8637
Joined: Fri Mar 25, 2016 3:54 am

Re: Can't start ideamaker on archlinux

Postby Vicky@Raise3D » Sat Nov 20, 2021 1:19 am

Would you like to process the following steps and share us the result?
1. During appimage, input --appimage-mount you will see a mount directorypopping up.
2. cd to the poped out mount directory,then ldd usr/bin/ideamaker.real
Please share us the result ldd outputs with us so that we can see all the libs with issues.
3. To exit the mount appimage, you can press ctrl+c. It will unmount.

SR-G
Posts: 9
Joined: Fri Nov 19, 2021 12:42 am

Re: Can't start ideamaker on archlinux

Postby SR-G » Sat Nov 20, 2021 8:39 am

Sure.

Here is the output :

Code: Select all

ldd usr/bin/ideamaker.real
   linux-vdso.so.1 (0x00007ffc9d778000)
   libquazip.so.1 => not found
   libdl.so.2 => /usr/lib/libdl.so.2 (0x00007f6ea7b14000)
   libGLU.so.1 => /usr/lib/libGLU.so.1 (0x00007f6ea7abe000)
   libgomp.so.1 => /usr/lib/libgomp.so.1 (0x00007f6ea7a7a000)
   libz.so.1 => /usr/lib/libz.so.1 (0x00007f6ea7a60000)
   libcurl.so.4 => /usr/lib/libcurl.so.4 (0x00007f6ea79c0000)
   libcork.so.1 => not found
   libQt5OpenGL.so.5 => /usr/lib/libQt5OpenGL.so.5 (0x00007f6ea7962000)
   libQt5Widgets.so.5 => /usr/lib/libQt5Widgets.so.5 (0x00007f6ea72ad000)
   libQt5Gui.so.5 => /usr/lib/libQt5Gui.so.5 (0x00007f6ea6bd2000)
   libQt5Network.so.5 => /usr/lib/libQt5Network.so.5 (0x00007f6ea6a2c000)
   libQt5SerialPort.so.5 => not found
   libQt5Core.so.5 => /usr/lib/libQt5Core.so.5 (0x00007f6ea64d1000)
   libGL.so.1 => /usr/lib/libGL.so.1 (0x00007f6ea644b000)
   libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007f6ea642a000)
   libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f6ea6214000)
   libm.so.6 => /usr/lib/libm.so.6 (0x00007f6ea60d0000)
   libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007f6ea60b5000)
   libc.so.6 => /usr/lib/libc.so.6 (0x00007f6ea5ee7000)
   /lib64/ld-linux-x86-64.so.2 => /usr/lib64/ld-linux-x86-64.so.2 (0x00007f6ea7b40000)
   libOpenGL.so.0 => /usr/lib/libOpenGL.so.0 (0x00007f6ea5ebb000)
   libnghttp2.so.14 => /usr/lib/libnghttp2.so.14 (0x00007f6ea5e8f000)
   libidn2.so.0 => /usr/lib/libidn2.so.0 (0x00007f6ea5e6d000)
   libssh2.so.1 => /usr/lib/libssh2.so.1 (0x00007f6ea5e2c000)
   libpsl.so.5 => /usr/lib/libpsl.so.5 (0x00007f6ea5e19000)
   libssl.so.1.1 => /usr/lib/libssl.so.1.1 (0x00007f6ea5d85000)
   libcrypto.so.1.1 => /usr/lib/libcrypto.so.1.1 (0x00007f6ea5aa6000)
   libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00007f6ea5a51000)
   libzstd.so.1 => /usr/lib/libzstd.so.1 (0x00007f6ea5942000)
   libbrotlidec.so.1 => /usr/lib/libbrotlidec.so.1 (0x00007f6ea5934000)
   libpng16.so.16 => /usr/lib/libpng16.so.16 (0x00007f6ea58fd000)
   libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0x00007f6ea5822000)
   libmd4c.so.0 => /usr/lib/libmd4c.so.0 (0x00007f6ea580c000)
   libsystemd.so.0 => /usr/lib/libsystemd.so.0 (0x00007f6ea5747000)
   libdouble-conversion.so.3 => /usr/lib/libdouble-conversion.so.3 (0x00007f6ea5730000)
   libicui18n.so.69 => /usr/lib/libicui18n.so.69 (0x00007f6ea5409000)
   libicuuc.so.69 => /usr/lib/libicuuc.so.69 (0x00007f6ea5216000)
   libpcre2-16.so.0 => /usr/lib/libpcre2-16.so.0 (0x00007f6ea5187000)
   libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00007f6ea5051000)
   libGLdispatch.so.0 => /usr/lib/libGLdispatch.so.0 (0x00007f6ea4f99000)
   libGLX.so.0 => /usr/lib/libGLX.so.0 (0x00007f6ea4f66000)
   libunistring.so.2 => /usr/lib/libunistring.so.2 (0x00007f6ea4de4000)
   libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00007f6ea4cfb000)
   libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00007f6ea4cca000)
   libcom_err.so.2 => /usr/lib/libcom_err.so.2 (0x00007f6ea4cc4000)
   libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x00007f6ea4cb4000)
   libkeyutils.so.1 => /usr/lib/libkeyutils.so.1 (0x00007f6ea4cad000)
   libresolv.so.2 => /usr/lib/libresolv.so.2 (0x00007f6ea4c93000)
   libbrotlicommon.so.1 => /usr/lib/libbrotlicommon.so.1 (0x00007f6ea4c6e000)
   libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007f6ea4ba4000)
   libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0x00007f6ea4b7f000)
   librt.so.1 => /usr/lib/librt.so.1 (0x00007f6ea4b74000)
   liblzma.so.5 => /usr/lib/liblzma.so.5 (0x00007f6ea4b4b000)
   liblz4.so.1 => /usr/lib/liblz4.so.1 (0x00007f6ea4b28000)
   libcap.so.2 => /usr/lib/libcap.so.2 (0x00007f6ea4b1a000)
   libgcrypt.so.20 => /usr/lib/libgcrypt.so.20 (0x00007f6ea49de000)
   libicudata.so.69 => /usr/lib/libicudata.so.69 (0x00007f6ea2e85000)
   libpcre.so.1 => /usr/lib/libpcre.so.1 (0x00007f6ea2e0e000)
   libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f6ea2ccd000)
   libbz2.so.1.0 => /usr/lib/libbz2.so.1.0 (0x00007f6ea2cb8000)
   libgpg-error.so.0 => /usr/lib/libgpg-error.so.0 (0x00007f6ea2c90000)
   libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007f6ea2c66000)
   libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f6ea2c61000)
   libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f6ea2c59000)


When starting the AppImage, i still have :

Code: Select all

ideamaker.real: error while loading shared libraries: libsasl2.so.2: cannot open shared object file: No such file or directory


(but i don't find libsasl2 in that list...)

User avatar
Vicky@Raise3D
Posts: 8637
Joined: Fri Mar 25, 2016 3:54 am

Re: Can't start ideamaker on archlinux

Postby Vicky@Raise3D » Tue Nov 23, 2021 7:50 pm

I will PM you a download, let me know whether it helps or or not.

SR-G
Posts: 9
Joined: Fri Nov 19, 2021 12:42 am

Re: Can't start ideamaker on archlinux

Postby SR-G » Tue Nov 23, 2021 8:01 pm

Hello,

I can confirm that the latest AppImage you provided me ("ideaMaker-4.2.2.5450.glibc2.15-x86_64-fix1.AppImage") is working flawlessly on my up-to-date archlinux system !
Thanks for that quick investigation and correction.

Image

lgarciaos
Posts: 1
Joined: Wed Nov 24, 2021 7:31 pm

Re: Can't start ideamaker on archlinux

Postby lgarciaos » Wed Nov 24, 2021 7:33 pm

Hi, I have the same errors listed above, is there a way I can get the same working 4.2.2 appimage beta?
cheers.

User avatar
Vicky@Raise3D
Posts: 8637
Joined: Fri Mar 25, 2016 3:54 am

Re: Can't start ideamaker on archlinux

Postby Vicky@Raise3D » Wed Nov 24, 2021 7:49 pm

lgarciaos wrote:Hi, I have the same errors listed above, is there a way I can get the same working 4.2.2 appimage beta?
cheers.


I will PM you a beta ideaMaker to test with.

Tutorius
Posts: 1
Joined: Tue Dec 14, 2021 4:18 pm

Re: Can't start ideamaker on archlinux

Postby Tutorius » Tue Dec 14, 2021 4:21 pm

Hi,
as an archlinux-user, i have the same problem. Can you please send a link to an appimage to me, too?

Thanks a lot

Hartmut

User avatar
Vicky@Raise3D
Posts: 8637
Joined: Fri Mar 25, 2016 3:54 am

Re: Can't start ideamaker on archlinux

Postby Vicky@Raise3D » Wed Dec 15, 2021 12:59 am

The latest version 4.2.2 has got the issue fixed.
https://www.raise3d.com/download/

SR-G
Posts: 9
Joined: Fri Nov 19, 2021 12:42 am

Re: Can't start ideamaker on archlinux

Postby SR-G » Thu Dec 16, 2021 4:58 am

Correct - 4.2.2 is still working for me.

SR-G
Posts: 9
Joined: Fri Nov 19, 2021 12:42 am

Re: Can't start ideamaker on archlinux

Postby SR-G » Sun Feb 20, 2022 3:26 pm

Resurrecting this thread, i now have the same problem with the latest version at this time (4.2.3), still under ArchLinux, with a 100% up-to-date system (ideaMaker-4.2.3.5600.glibc2.15-x86_64.AppImage). This is new / about another library, and rather recent.

Code: Select all

ideamaker.real: error while loading shared libraries: libcrypt.so.1: cannot open shared object file: No such file or directory


That exact library is indeed not available anymore (with that given name) :

Code: Select all

libcrypto.so
libcrypto.so.1.0.0
libcrypto.so.1.1


(if i manually add a simlink - it still doesn't work)

The updated result of the previously asked debug through "ldd" :

Code: Select all

16:25 sergio@moon /tmp/.mount_ideaMaZc5HvG% ldd usr/bin/ideamaker.real
   linux-vdso.so.1 (0x00007ffd527de000)
   libquazip.so.1 => not found
   libdl.so.2 => /usr/lib/libdl.so.2 (0x00007f360b36c000)
   libGLU.so.1 => /usr/lib/libGLU.so.1 (0x00007f360b315000)
   libgomp.so.1 => /usr/lib/libgomp.so.1 (0x00007f360b2d0000)
   libz.so.1 => /usr/lib/libz.so.1 (0x00007f360b2b6000)
   libcurl.so.4 => /usr/lib/libcurl.so.4 (0x00007f360b211000)
   libcork.so.1 => not found
   libQt5OpenGL.so.5 => /usr/lib/libQt5OpenGL.so.5 (0x00007f360b1b6000)
   libQt5Widgets.so.5 => /usr/lib/libQt5Widgets.so.5 (0x00007f360aafb000)
   libQt5Gui.so.5 => /usr/lib/libQt5Gui.so.5 (0x00007f360a494000)
   libQt5Network.so.5 => /usr/lib/libQt5Network.so.5 (0x00007f360a31f000)
   libQt5SerialPort.so.5 => not found
   libQt5Core.so.5 => /usr/lib/libQt5Core.so.5 (0x00007f3609dfc000)
   libGL.so.1 => /usr/lib/libGL.so.1 (0x00007f3609d76000)
   libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007f3609d71000)
   libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f3609b4b000)
   libm.so.6 => /usr/lib/libm.so.6 (0x00007f3609a63000)
   libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007f3609a46000)
   libc.so.6 => /usr/lib/libc.so.6 (0x00007f360983c000)
   libOpenGL.so.0 => /usr/lib/libOpenGL.so.0 (0x00007f3609810000)
   libnghttp2.so.14 => /usr/lib/libnghttp2.so.14 (0x00007f36097e4000)
   libidn2.so.0 => /usr/lib/libidn2.so.0 (0x00007f36097c2000)
   libssh2.so.1 => /usr/lib/libssh2.so.1 (0x00007f3609781000)
   libpsl.so.5 => /usr/lib/libpsl.so.5 (0x00007f360976c000)
   libssl.so.1.1 => /usr/lib/libssl.so.1.1 (0x00007f36096da000)
   libcrypto.so.1.1 => /usr/lib/libcrypto.so.1.1 (0x00007f36093f9000)
   libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00007f36093a4000)
   libzstd.so.1 => /usr/lib/libzstd.so.1 (0x00007f36092f5000)
   libbrotlidec.so.1 => /usr/lib/libbrotlidec.so.1 (0x00007f36092e7000)
   libpng16.so.16 => /usr/lib/libpng16.so.16 (0x00007f36092ae000)
   libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0x00007f36091d0000)
   libmd4c.so.0 => /usr/lib/libmd4c.so.0 (0x00007f36091ba000)
   libsystemd.so.0 => /usr/lib/libsystemd.so.0 (0x00007f36090de000)
   libdouble-conversion.so.3 => /usr/lib/libdouble-conversion.so.3 (0x00007f36090c8000)
   libicui18n.so.70 => /usr/lib/libicui18n.so.70 (0x00007f3608da2000)
   libicuuc.so.70 => /usr/lib/libicuuc.so.70 (0x00007f3608ba4000)
   libpcre2-16.so.0 => /usr/lib/libpcre2-16.so.0 (0x00007f3608b17000)
   libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00007f36089da000)
   /lib64/ld-linux-x86-64.so.2 => /usr/lib64/ld-linux-x86-64.so.2 (0x00007f360b39a000)
   libGLdispatch.so.0 => /usr/lib/libGLdispatch.so.0 (0x00007f3608922000)
   libGLX.so.0 => /usr/lib/libGLX.so.0 (0x00007f36088ef000)
   libunistring.so.2 => /usr/lib/libunistring.so.2 (0x00007f360876b000)
   libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00007f3608684000)
   libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00007f3608653000)
   libcom_err.so.2 => /usr/lib/libcom_err.so.2 (0x00007f360864d000)
   libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x00007f360863d000)
   libkeyutils.so.1 => /usr/lib/libkeyutils.so.1 (0x00007f3608636000)
   libresolv.so.2 => /usr/lib/libresolv.so.2 (0x00007f3608620000)
   libbrotlicommon.so.1 => /usr/lib/libbrotlicommon.so.1 (0x00007f36085fd000)
   libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007f3608532000)
   libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0x00007f360850d000)
   librt.so.1 => /usr/lib/librt.so.1 (0x00007f3608508000)
   liblzma.so.5 => /usr/lib/liblzma.so.5 (0x00007f36084df000)
   liblz4.so.1 => /usr/lib/liblz4.so.1 (0x00007f36084ba000)
   libcap.so.2 => /usr/lib/libcap.so.2 (0x00007f36084ae000)
   libgcrypt.so.20 => /usr/lib/libgcrypt.so.20 (0x00007f3608372000)
   libicudata.so.70 => /usr/lib/libicudata.so.70 (0x00007f3606756000)
   libpcre.so.1 => /usr/lib/libpcre.so.1 (0x00007f36066df000)
   libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f360659b000)
   libbz2.so.1.0 => /usr/lib/libbz2.so.1.0 (0x00007f3606588000)
   libgpg-error.so.0 => /usr/lib/libgpg-error.so.0 (0x00007f3606561000)
   libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007f3606537000)
   libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f3606532000)
   libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f3606528000)

User avatar
Vicky@Raise3D
Posts: 8637
Joined: Fri Mar 25, 2016 3:54 am

Re: Can't start ideamaker on archlinux (new problem 2022/02)

Postby Vicky@Raise3D » Tue Feb 22, 2022 8:03 pm

Have your Linux system been updated recently?
libcrypt and libcrypto are two different library.

SR-G
Posts: 9
Joined: Fri Nov 19, 2021 12:42 am

Re: Can't start ideamaker on archlinux (new problem 2022/02)

Postby SR-G » Tue Feb 22, 2022 8:19 pm

My bad, it's just the "ls" that has been wrong about what looked into (i wrongly put libcrypto while doing the ls) (+ i have both libraries), and the problem is still the same ("libcrypt" is installed but not anymore with the version expected by the AppImage). Again, a couple of days ago everything was working fine with 2.2.3, but some recent updates at system side have broken the AppImage.

Code: Select all

ls -1 libcrypt.*
libcrypt.so
libcrypt.so.2
libcrypt.so.2.0.0


Whereas AppImage is expecting "libcrypt.so.1".

If i had a symlink, as said, it doesn't work (libcrypt.so.1 -> libcrypt.so) :

Code: Select all

ideamaker.real: /usr/lib/libcrypt.so.1: version `GLIBC_2.2.5' not found (required by ././/lib/x86_64-linux-gnu/ideamaker/libkrb5.so.26)
ideamaker.real: /usr/lib/libcrypt.so.1: version `GLIBC_2.2.5' not found (required by ././/lib/x86_64-linux-gnu/ideamaker/libroken.so.18)

User avatar
Vicky@Raise3D
Posts: 8637
Joined: Fri Mar 25, 2016 3:54 am

Re: Can't start ideamaker on archlinux (new problem 2022/02)

Postby Vicky@Raise3D » Thu Feb 24, 2022 5:55 pm

I will PM you a downlink for a beta version with a link to libcrypt added into appimage.

SR-G
Posts: 9
Joined: Fri Nov 19, 2021 12:42 am

Re: Can't start ideamaker on archlinux (new problem 2022/02)

Postby SR-G » Thu Feb 24, 2022 6:12 pm

I answered to you - seems more complex than expected (with libcrypt added, i have other errors), but in the meanwhile another pure archlinux solution has been recently published under https://unix.stackexchange.com/question ... arch-linux

Code: Select all

yay -S libxcrypt-compa


... which solves that exact problem.

User avatar
Vicky@Raise3D
Posts: 8637
Joined: Fri Mar 25, 2016 3:54 am

Re: Can't start ideamaker on archlinux (new problem 2022/02)

Postby Vicky@Raise3D » Fri Feb 25, 2022 1:43 am

It seems not realted to appimage but some library missing in Linux, causing other software running with the same issue.

SR-G
Posts: 9
Joined: Fri Nov 19, 2021 12:42 am

Re: Can't start ideamaker on archlinux (new problem 2022/02)

Postby SR-G » Fri Feb 25, 2022 7:42 am

Maybe. I'm not familiar with with AppImage and what is coming from the AppImage and what is coming from the system itself.
But it seems weird that a working AppImage can be broken by a system update (which is what has happened here for me).

User avatar
Vicky@Raise3D
Posts: 8637
Joined: Fri Mar 25, 2016 3:54 am

Re: Can't start ideamaker on archlinux (new problem 2022/02)

Postby Vicky@Raise3D » Tue Mar 01, 2022 6:23 pm

appimage doesnt always have all the libraries included, especially for some system ones.
Here are some reference: https://github.com/AppImage/pkg2appimag ... xcludelist
Since you have updated your Linux, there are some system libcrypt which was existing now disappear. So you will need to use libxcrypt-compa to make up the missing libraries.

Normally developers will have the software to be able to run with lower LTS system, such like ideaMaker is using Ubuntu 14.0 4 LTS to avoid the affect of new system updating as much as possible.


Return to “Software”

Who is online

Users browsing this forum: No registered users and 2 guests